# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Website.Rel

    java.lang.Object
      java.lang.Enum<Website.Rel>
          com.google.gdata.data.contacts.Website.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Website.Rel>

Enclosing class:
  Website

    public static enum Website.Rel

extends java.lang.Enum<Website.Rel>

Known website type.

Enum Constant Summary
`BLOG` Blog website.
`FTP` Ftp website.
`HOME` Home website.
`HOME_PAGE` Home-page website.
`OTHER` Other website.
`PROFILE` Profile website.
`WORK` Work website.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static Website.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Website.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOG

    public static final Website.Rel BLOG

  Blog website.

### FTP

    public static final Website.Rel FTP

  Ftp website.

### HOME

    public static final Website.Rel HOME

  Home website.

### HOME_PAGE

    public static final Website.Rel HOME_PAGE

  Home-page website.

### OTHER

    public static final Website.Rel OTHER

  Other website.

### PROFILE

    public static final Website.Rel PROFILE

  Profile website.

### WORK

    public static final Website.Rel WORK

  Work website.

Method Detail

### values

    public static Website.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Website.Rel c : Website.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Website.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML